import request from '@/utils/request'

// 查询高频聊天问题统计列表
export function listFastGptChatQuestionStatistics(query) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/list',
    method: 'get',
    params: query
  })
}

// 查询高频聊天问题统计详细
export function getFastGptChatQuestionStatistics(id) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/' + id,
    method: 'get'
  })
}

// 新增高频聊天问题统计
export function addFastGptChatQuestionStatistics(data) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics',
    method: 'post',
    data: data
  })
}

// 修改高频聊天问题统计
export function updateFastGptChatQuestionStatistics(data) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics',
    method: 'put',
    data: data
  })
}

// 删除高频聊天问题统计
export function delFastGptChatQuestionStatistics(id) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/' + id,
    method: 'delete'
  })
}

// 导出高频聊天问题统计
export function exportFastGptChatQuestionStatistics(query) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/export',
    method: 'get',
    params: query
  })
}

// 查询高频聊天问题统计-问题明细列表（接口待定）
export function listFastGptChatQuestionStatisticsDetail(query) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/detail/list',
    method: 'get',
    params: query
  })
}

// 新增高频聊天销售回复
export function saveFastGptChatQuestionStatisticsSalesReply(data) {
  return request({
    url: '/fastGpt/fastGptChatQuestionStatistics/question/reply',
    method: 'put',
    data: data
  })
}